Index: trunk/NEMO/OPA_SRC/cpl_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/cpl_oce.F90	(revision 142)
+++ trunk/NEMO/OPA_SRC/cpl_oce.F90	(revision 143)
@@ -28,5 +28,5 @@
 
    INTEGER, PARAMETER ::   &  !:  
-      jpmaxfld = 40        &  !: Number of maximum fields exchange betwwen
+      jpmaxfld = 40           !: Number of maximum fields exchange betwwen
       !                       ! the ocean and the coupler
 
@@ -41,5 +41,5 @@
 
    INTEGER, PARAMETER ::   &  !:
-      jptest = 100         &  !: The models will test during 2*jptest 
+      jptest = 100            !: The models will test during 2*jptest 
       !                       ! seconds if the file DUMMY_SIPC has been
       !                       ! created by OASIS, signaling that the
@@ -57,48 +57,51 @@
    !! Messag Passing Method (CLIM)
    !! ----------------------------
-!!!INCLUDE '../../CPL/include/clim.h'
-! -- clim.h   18-08-95   Version 2.0   Author: Laurent Terray
-!    ******
-!             26-10-99   Version 2.4   Jean Latour (F.S.E.) MPI-2 support
-!!
-!!  Contents : variables related to the CLIM library
-!!  --------
-!! For complete definition, see the CLIM manual
-!!
-      INTEGER*4 CLIM_MaxMod,    CLIM_MaxPort,  CLIM_MaxSegments,
-     *          CLIM_MaxTag,
-     *          CLIM_MaxLink,
-     *          CLIM_ParSize,
-     *          CLIM_Clength,
-     *          CLIM_MaxCodes
-
-      INTEGER*4 CLIM_Void
-
-      INTEGER*4 CLIM_In,        CLIM_Out,       CLIM_InOut
-
-      INTEGER*4 CLIM_Strategy,  CLIM_Segments,  
-     *          CLIM_Serial,    CLIM_Length,    CLIM_Orange,
-     *          CLIM_Apple,     CLIM_Offset,
-     *          CLIM_Box,       CLIM_SizeX,     CLIM_SizeY,
-     *          CLIM_LdX
-
-      INTEGER*4 CLIM_Integer,   CLIM_Real,      CLIM_Double
-
-      INTEGER*4 CLIM_StopPvm,   CLIM_ContPvm
-
-      INTEGER*4 CLIM_Ok
-      INTEGER*4 CLIM_FastExit,  CLIM_BadName,   CLIM_BadPort,
-     *          CLIM_BadType,   CLIM_DoubleDef, CLIM_NotStep,
-     *          CLIM_IncStep,   CLIM_IncSize,   CLIM_NotClim,
-     *          CLIM_TimeOut,
-     *          CLIM_Pvm,       CLIM_FirstCall, CLIM_PbRoute,
-     *          CLIM_Group,     CLIM_BadTaskId, CLIM_NoTask,
-     *          CLIM_InitBuff,  CLIM_Pack,      CLIM_Unpack,
-     *          CLIM_Down,      CLIM_PvmExit
-
-      INTEGER*4 CLIM_jpmax,     CLIM_jpmx8,     CLIM_Mpi
-
-!-----Parameter sizes
-
+!!!INCLUDE '../../CPL/include/clim.h90'
+!!
+!! -- clim.h   18-08-95   Version 2.0   Author: Laurent Terray
+!!    ******
+!!             26-10-99   Version 2.4   Jean Latour (F.S.E.) MPI-2 support
+!!
+!!   clim.h90  13-08-04  Change to F90 C. Levy
+!!@
+!!@  Contents : variables related to the CLIM library
+!!@  --------
+!!@ For complete definition, see the CLIM manual
+!!@
+      INTEGER (kind=4)	CLIM_MaxMod,    CLIM_MaxPort,  CLIM_MaxSegments, &
+               CLIM_MaxTag, &
+               CLIM_MaxLink, &
+               CLIM_ParSize, & 
+               CLIM_Clength, &
+               CLIM_MaxCodes
+!!
+      INTEGER (kind=4) CLIM_Void
+!!
+      INTEGER (kind=4) CLIM_In,	CLIM_Out,	CLIM_InOut
+!!
+      INTEGER (kind=4) CLIM_Strategy,  CLIM_Segments,  &
+               CLIM_Serial,    CLIM_Length,    CLIM_Orange, &
+               CLIM_Apple,     CLIM_Offset, &
+               CLIM_Box,	CLIM_SizeX,	CLIM_SizeY, &
+               CLIM_LdX
+!!
+      INTEGER  (kind=4)CLIM_Integer,	CLIM_Real,	CLIM_Double
+!!
+      INTEGER  (kind=4)CLIM_StopPvm,   CLIM_ContPvm
+!!
+      INTEGER (kind=4)	CLIM_Ok
+      INTEGER (kind=4) CLIM_FastExit, 	CLIM_BadName, 	CLIM_BadPort, &
+               CLIM_BadType, 	CLIM_DoubleDef, CLIM_NotStep, &
+               CLIM_IncStep, 	CLIM_IncSize, 	CLIM_NotClim, &
+               CLIM_TimeOut, &
+               CLIM_Pvm, 	CLIM_FirstCall, CLIM_PbRoute, &
+               CLIM_Group, 	CLIM_BadTaskId, CLIM_NoTask, &
+               CLIM_InitBuff, 	CLIM_Pack, 	CLIM_Unpack, &
+               CLIM_Down, 	CLIM_PvmExit
+!!
+      INTEGER (kind=4) CLIM_jpmax, 	CLIM_jpmx8, 	CLIM_Mpi
+!!
+!!-----Parameter sizes
+!!
       PARAMETER ( CLIM_Void    = 0  )
       PARAMETER ( CLIM_MaxMod  = 8 )
@@ -109,19 +112,19 @@
       PARAMETER ( CLIM_MaxTag  = 16777215 )
       PARAMETER ( CLIM_Clength = 32 )
-
-!-----Dimension of buffer for packing / unpacking messages with MPI
-!     (must be equal to jpmax of Oasis)
-
+!!
+!!-----Dimension of buffer for packing / unpacking messages with MPI
+!!     (must be equal to jpmax of Oasis)
+!!
       PARAMETER ( CLIM_jpmax = 400000 )
       PARAMETER ( CLIM_jpmx8 = CLIM_jpmax*8 )
-
-!-----Ports status
-
+!!
+!!-----Ports status
+!!
       PARAMETER ( CLIM_In      = 1 )
       PARAMETER ( CLIM_Out     = 0 )
       PARAMETER ( CLIM_InOut   = 2 )
-
-!-----Parallel distribution
-
+!!
+!!-----Parallel distribution
+!!
       PARAMETER ( CLIM_Strategy = 1 )
       PARAMETER ( CLIM_Segments = 2 )
@@ -135,21 +138,21 @@
       PARAMETER ( CLIM_SizeY    = 4 )
       PARAMETER ( CLIM_LdX      = 5 )
-
-!-----Datatypes
-
+!!
+!!-----Datatypes
+!!
       PARAMETER ( CLIM_Integer = 1 )
       PARAMETER ( CLIM_Real    = 4 ) 
       PARAMETER ( CLIM_Double  = 8 )
-
-!-----Quit parameters
-
+!!
+!!-----Quit parameters
+!!
       PARAMETER ( CLIM_ContPvm = 0 )
       PARAMETER ( CLIM_StopPvm = 1 )
-
-!-----Error Codes
-
+!!
+!!-----Error Codes
+!!
       PARAMETER ( CLIM_MaxCodes  = -22 )
-
-      PARAMETER ( CLIM_Ok        = 0 )
+!!
+      PARAMETER ( CLIM_Ok	 = 0 )
       PARAMETER ( CLIM_FastExit  = -1 )
       PARAMETER ( CLIM_BadName   = -2 )
@@ -165,5 +168,5 @@
       PARAMETER ( CLIM_FirstCall = -12 )
       PARAMETER ( CLIM_PbRoute   = -13 )
-      PARAMETER ( CLIM_Group     = -14 )
+      PARAMETER	( CLIM_Group     = -14 )
       PARAMETER ( CLIM_BadTaskId = -15 )
       PARAMETER ( CLIM_NoTask    = -16 )
@@ -175,25 +178,30 @@
       PARAMETER ( CLIM_Mpi       = -22 )
 
-!     --- end of clim.h
+!!
+!     --- end of clim.h90
 !!!END-----------------------------------------------------------------
 
-!!!INCLUDE '../../CPL/include/mpiclim.h'
-!!-- mpiclim.h  26-10-99   Version 2.4   Author: Jean Latour (F.S.E.)
-!!   *********
-!!
-!!  Contents : variables related to MPI-2 message passing
-!!  --------
-!!
-!! -- mpi_totproc: number of processors on which to launch each model
-!!
-!! -- mpi_nproc: number of processors involved in the coupling for
-!!               each model
-!! -- cmpi_modnam: models name
-!     -----------------------------------------------------------------
-
-      INTEGER*4 mpi_totproc(1:CLIM_MaxMod-1),mpi_nproc(0:CLIM_MaxMod-1)
-
-      CHARACTER*6 cmpi_modnam(1:CLIM_MaxMod-1)
-
+!!!INCLUDE '../../CPL/include/mpiclim.h90'
+!!
+!! -- mpiclim.h  26-10-99   Version 2.4   Author: Jean Latour (F.S.E.)
+!!    *********
+!!    mpiclim.h90 13-08-04 change to F90 C. Levy
+!!@
+!!@  Contents : variables related to MPI-2 message passing
+!!@  --------
+!!@
+!!@ -- mpi_totproc: number of processors on which to launch each model
+!!@
+!!@ -- mpi_nproc: number of processors involved in the coupling for
+!!@               each model
+!!@ -- cmpi_modnam: models name
+!!     -----------------------------------------------------------------
+!!
+      INTEGER (kind=4) mpi_totproc(1:CLIM_MaxMod-1),mpi_nproc(0:CLIM_MaxMod-1)
+!!
+      CHARACTER (len=6) cmpi_modnam(1:CLIM_MaxMod-1)
+!!
+      common/CLIM_mpiclim/mpi_totproc, mpi_nproc, cmpi_modnam 
+!!
 !!!END-----------------------------------------------------------------
 