Index: /trunk/CONFIG/GYRE/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make	(revision 163)
+++ /trunk/CONFIG/GYRE/scripts/BB_make	(revision 164)
@@ -5,4 +5,6 @@
 #-Q- sxnec  # Compiler options for the ORCA model   -   std
 #-Q- sxnec  F_O = -dw -Wf\"-A idbl4\" -sx5 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce
+#-Q- sx6nec  # Compiler options for the ORCA model   -   std
+#-Q- sx6nec  F_O = -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR)
 #-Q- linux  # Compiler options for the ORCA model
 #-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)
@@ -12,4 +14,5 @@
 PREF=
 #-Q- sxnec	PREF=i.
+#-Q- sx6nec	PREF=i.
 
 KEY_LIST = \
@@ -89,4 +92,5 @@
 		$(MODEL_LIB)(lib_isml.o)\
 		$(MODEL_LIB)(lib_print.o)\
+		$(MODEL_LIB)(albedo.o)\
 		$(MODEL_LIB)(blk_oce.o)\
 		$(MODEL_LIB)(bulk.o)\
@@ -278,4 +282,5 @@
 .PRECIOUS : $(MODEL_LIB)
 #-Q- sxnec .PRECIOUS : $(SXMODEL_LIB)
+#-Q- sx6nec .PRECIOUS : $(SXMODEL_LIB)
 
 # library dependancies
@@ -293,7 +298,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.f90 || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -308,7 +315,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.F90 || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -323,7 +332,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.F || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -338,7 +349,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.f|| { mv $*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) -f $*.o
@@ -347,4 +360,46 @@
 		@mv $*.L $(TMP)
 #
+$(MODEL_LIB)(albedo.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_ice.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_ice.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	blk_oce.F90 \
+	cpl_oce.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	flx_oce.F90 \
+	ice.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	oce.F90 \
+	ocfzpt.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(blk_oce.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(flx_oce.o) \
+	$(MODEL_LIB)(ice.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(phycst.o) \
+	albedo.F90
 $(MODEL_LIB)(blk_oce.o) :	\
 	par_kind.F90 \
@@ -354,4 +409,5 @@
 	blk_oce.F90
 $(MODEL_LIB)(bulk.o) :	\
+	albedo.F90 \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -359,5 +415,4 @@
 	dom_oce.F90 \
 	flx_oce.F90 \
-	ice.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -368,4 +423,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(blk_oce.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -373,5 +429,4 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(ice.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -685,14 +740,19 @@
 $(MODEL_LIB)(cpl.o) :	\
 	dom_oce.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	cpl_oce.F90 \
+	daymod.F90 \
 	dom_oce.F90 \
 	flx_oce.F90 \
@@ -700,5 +760,7 @@
 	oce.F90 \
 	ocfzpt.F90 \
+	phycst.F90 \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flx_oce.o) \
@@ -706,4 +768,5 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(phycst.o) \
 	../../../lib/libioipsl.a \
 	cpl.F90
@@ -731,4 +794,5 @@
 	daymod.F90
 $(MODEL_LIB)(diafwb.o) :	\
+	albedo.F90 \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -741,5 +805,4 @@
 	flxrnf.F90 \
 	flx_oce.F90 \
-	ice.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -754,4 +817,5 @@
 	taumod.F90 \
 	tradmp.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(blk_oce.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -764,5 +828,4 @@
 	$(MODEL_LIB)(flxrnf.o) \
 	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(ice.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1061,4 +1124,5 @@
 	dom_oce.F90 \
 	flxrnf.F90 \
+	flx_oce.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -1081,4 +1145,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flxrnf.o) \
+	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2504,22 +2569,4 @@
 	flo_oce.F90
 $(MODEL_LIB)(flxblk.o) :	\
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	oce.F90 \
-	par_ice.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -2530,6 +2577,10 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	ocfzpt.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
 	phycst.F90 \
 	$(MODEL_LIB)(blk_oce.o) \
@@ -2541,4 +2592,30 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	albedo.F90 \
+	blk_oce.F90 \
+	cpl_oce.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	flx_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	oce.F90 \
+	ocfzpt.F90 \
+	phycst.F90 \
+	$(MODEL_LIB)(albedo.o) \
+	$(MODEL_LIB)(blk_oce.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(flx_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(ocfzpt.o) \
@@ -2546,4 +2623,5 @@
 	flxblk.F90
 $(MODEL_LIB)(flxfwb.o) :	\
+	albedo.F90 \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -2556,5 +2634,4 @@
 	flxrnf.F90 \
 	flx_oce.F90 \
-	ice.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -2569,4 +2646,5 @@
 	taumod.F90 \
 	tradmp.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(blk_oce.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -2579,5 +2657,4 @@
 	$(MODEL_LIB)(flxrnf.o) \
 	$(MODEL_LIB)(flx_oce.o) \
-	$(MODEL_LIB)(ice.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2666,4 +2743,5 @@
 	bulk.F90 \
 	cpl_oce.F90 \
+	flxrnf.F90 \
 	flx_oce.F90 \
 	ice_oce.F90 \
@@ -2671,4 +2749,5 @@
 	$(MODEL_LIB)(bulk.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(flxrnf.o) \
 	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
@@ -2800,4 +2879,5 @@
 	iceini.F90
 $(MODEL_LIB)(icestp.o) :	\
+	albedo.F90 \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -2838,4 +2918,5 @@
 	thd_ice.F90 \
 	tradmp.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(blk_oce.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -2957,4 +3038,5 @@
 	dynspg_fsc_atsk.F90 \
 	flxrnf.F90 \
+	flx_oce.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -2990,4 +3072,5 @@
 	$(MODEL_LIB)(dynspg_fsc_atsk.o) \
 	$(MODEL_LIB)(flxrnf.o) \
+	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3283,4 +3366,5 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	domzgr_substitute.h90 \
 	ldftra_c1d.h90 \
 	ldftra_c2d.h90 \
@@ -3525,4 +3609,5 @@
 	limdyn.F90
 $(MODEL_LIB)(limflx.o) :	\
+	albedo.F90 \
 	blk_oce.F90 \
 	cpl_oce.F90 \
@@ -3541,4 +3626,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(blk_oce.o) \
 	$(MODEL_LIB)(cpl_oce.o) \
@@ -3557,4 +3643,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	albedo.F90 \
 	flxblk.F90 \
 	flx_oce.F90 \
@@ -3566,4 +3653,5 @@
 	par_oce.F90 \
 	phycst.F90 \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(flxblk.o) \
 	$(MODEL_LIB)(flx_oce.o) \
@@ -4082,4 +4170,5 @@
 $(MODEL_LIB)(model.o) :	\
 	cpl.F90 \
+	cpl_oce.F90 \
 	daymod.F90 \
 	diaptr.F90 \
@@ -4111,4 +4200,5 @@
 	zpshde.F90 \
 	$(MODEL_LIB)(cpl.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
@@ -4988,4 +5078,5 @@
 	$(MODEL_LIB)(zpshde.o) \
 	cpl.F90 \
+	cpl_oce.F90 \
 	daymod.F90 \
 	diaptr.F90 \
@@ -5017,4 +5108,5 @@
 	zpshde.F90 \
 	$(MODEL_LIB)(cpl.o) \
+	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
@@ -5136,4 +5228,5 @@
 	dynspg_fsc.F90 \
 	dynspg_fsc_atsk.F90 \
+	flx_oce.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5149,4 +5242,5 @@
 	$(MODEL_LIB)(dynspg_fsc.o) \
 	$(MODEL_LIB)(dynspg_fsc_atsk.o) \
+	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5852,4 +5946,5 @@
 	dtatem.F90 \
 	flxrnf.F90 \
+	flx_oce.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -5884,4 +5979,5 @@
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(flxrnf.o) \
+	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5950,4 +6046,8 @@
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(phycst.o) \
+	cpl_oce.F90 \
+	geo2ocean.F90 \
+	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(geo2ocean.o) \
 	tau_coupled.h90 \
 	tau_coupled_ice.h90 \
@@ -7092,4 +7192,5 @@
 	dom_oce.F90 \
 	flxrnf.F90 \
+	flx_oce.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -7116,4 +7217,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(flxrnf.o) \
+	$(MODEL_LIB)(flx_oce.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
Index: /trunk/CONFIG/GYRE/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 163)
+++ /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 164)
@@ -11,6 +11,8 @@
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
 #-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- sx6nec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+#-Q- sx6nec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
 LIBMPI  =
@@ -29,3 +31,3 @@
 
 #-
-
+#-Q- sx6nec  ## P_P =  ' -Wp,-Dkey_gyre -Wp,-Dkey_dynspg_fsc -Wp,-Dkey_ldfslp -Wp,-Dkey_zdftke -Wp,-Dkey_vectopt_loop -Wp,-Dkey_vectopt_memory'
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 163)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 164)
@@ -5,4 +5,6 @@
 #-Q- sxnec  # Compiler options for the ORCA model   -   std
 #-Q- sxnec  F_O = -dw -Wf\"-A idbl4\" -sx5 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce
+#-Q- sx6nec  # Compiler options for the ORCA model   -   std
+#-Q- sx6nec  F_O = -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR)
 #-Q- linux  # Compiler options for the ORCA model
 #-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)
@@ -12,4 +14,5 @@
 PREF=
 #-Q- sxnec	PREF=i.
+#-Q- sx6nec	PREF=i.
 
 KEY_LIST = \
@@ -279,4 +282,5 @@
 .PRECIOUS : $(MODEL_LIB)
 #-Q- sxnec .PRECIOUS : $(SXMODEL_LIB)
+#-Q- sx6nec .PRECIOUS : $(SXMODEL_LIB)
 
 # library dependancies
@@ -294,7 +298,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.f90 || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -309,7 +315,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.F90 || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -324,7 +332,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.F || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) $*.[of]
@@ -339,7 +349,9 @@
 #-Q- fjvpp		-Z $*.L \
 #-Q- sxnec		-R2 \
+#-Q- sx6nec		-R2 \
 #-Q- aix		-qsource \
 		$*.f|| { mv $*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
+#-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
 		@$(RM) -f $*.o
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 163)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 164)
@@ -11,5 +11,7 @@
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
 #-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 SXMODEL_LIB = $(MODEL_LIB)
+#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 #-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
@@ -48,3 +50,9 @@
 #-Q- sxnec  ## P_P = -Wp,-Dkey_autotasking -Wp,-Dkey_partial_steps -Wp,-Dkey_trabbl_dif -Wp,-Dkey_vectopt_loop -Wp,-Dkey_vectopt_memory -Wp,-Dkey_orca_r2 -Wp,-Dkey_ice_lim -Wp,-Dkey_lim_fdd -Wp,-Dkey_dynspg_fsc -Wp,-Dkey_diaeiv -Wp,-Dkey_ldfslp -Wp,-Dkey_traldf_c2d -Wp,-Dkey_traldf_eiv -Wp,-Dkey_dynldf_c3d -Wp,-Dkey_dtatem -Wp,-Dkey_dtasal -Wp,-Dkey_tau_monthly -Wp,-Dkey_flx_bulk_monthly -Wp,-Dkey_diagap -Wp,-Dkey_tradmp -Wp,-Dkey_trabbc -Wp,-Dkey_zdftke -Wp,-Dkey_zdfddm 
 #-
+#-Q- sx6nec  ## ORCA2-LIM standard
+#-Q- sx6nec  ##P_P = '-Wp,-Dkey_partial_steps -Wp,-Dkey_trabbl_dif -Wp,-Dkey_vectopt_loop -Wp,-Dkey_vectopt_memory -Wp,-Dkey_orca_r2 -Wp,-Dkey_ice_lim -Wp,-Dkey_lim_fdd -Wp,-Dkey_dynspg_fsc -Wp,-Dkey_diaeiv -Wp,-Dkey_ldfslp -Wp,-Dkey_traldf_c2d -Wp,-Dkey_traldf_eiv -Wp,-Dkey_dynldf_c3d -Wp,-Dkey_dtatem -Wp,-Dkey_dtasal -Wp,-Dkey_tau_monthly -Wp,-Dkey_flx_bulk_monthly -Wp,-Dkey_diagap -Wp,-Dkey_tradmp -Wp,-Dkey_trabbc -Wp,-Dkey_zdftke -Wp,-Dkey_zdfddm'
+#-
+#-Q- sx6nec  ## ORCA2-LIM autotasking
+#-Q- sx6nec  ## P_P = '-Wp,-Dkey_autotasking -Wp,-Dkey_partial_steps -Wp,-Dkey_trabbl_dif -Wp,-Dkey_vectopt_loop -Wp,-Dkey_vectopt_memory -Wp,-Dkey_orca_r2 -Wp,-Dkey_ice_lim -Wp,-Dkey_lim_fdd -Wp,-Dkey_dynspg_fsc -Wp,-Dkey_diaeiv -Wp,-Dkey_ldfslp -Wp,-Dkey_traldf_c2d -Wp,-Dkey_traldf_eiv -Wp,-Dkey_dynldf_c3d -Wp,-Dkey_dtatem -Wp,-Dkey_dtasal -Wp,-Dkey_tau_monthly -Wp,-Dkey_flx_bulk_monthly -Wp,-Dkey_diagap -Wp,-Dkey_tradmp -Wp,-Dkey_trabbc -Wp,-Dkey_zdftke -Wp,-Dkey_zdfddm' 
+#-
 
Index: /trunk/UTIL/fait_AA_make
===================================================================
--- /trunk/UTIL/fait_AA_make	(revision 163)
+++ /trunk/UTIL/fait_AA_make	(revision 164)
@@ -45,4 +45,5 @@
 .PRECIOUS : \$(MODEL_LIB)
 #-Q- sxnec .PRECIOUS : \$(SXMODEL_LIB)
+#-Q- sx6nec .PRECIOUS : \$(SXMODEL_LIB)
 
 # library dependancies
@@ -60,7 +61,9 @@
 #-Q- fjvpp		-Z \$*.L \\
 #-Q- sxnec		-R2 \\
+#-Q- sx6nec		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.f90 || { mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -75,7 +78,9 @@
 #-Q- fjvpp		-Z \$*.L \\
 #-Q- sxnec		-R2 \\
+#-Q- sx6nec		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.F90 || { mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -90,7 +95,9 @@
 #-Q- fjvpp		-Z \$*.L \\
 #-Q- sxnec		-R2 \\
+#-Q- sx6nec		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.F || { mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) \$*.[of]
@@ -105,7 +112,9 @@
 #-Q- fjvpp		-Z \$*.L \\
 #-Q- sxnec		-R2 \\
+#-Q- sx6nec		-R2 \\
 #-Q- aix		-qsource \\
 		\$*.f|| { mv \$*.L \$(TMP) ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
+#-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 		@\$(A_C) \$(MODEL_LIB) \$*.o  > /dev/null
 		@\$(RM) -f \$*.o
@@ -126,5 +135,6 @@
 echo '#-Q- sxnec  # Compiler options for the ORCA model   -   std'
 echo '#-Q- sxnec  F_O = -dw -Wf\"-A idbl4\" -sx5 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce'
-
+echo '#-Q- sx6nec  # Compiler options for the ORCA model   -   std'
+echo '#-Q- sx6nec  F_O = -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf',-pvctl noassume loopcnt=10000 -L transform' -I $(MODDIR)'
 echo '#-Q- linux  # Compiler options for the ORCA model'
 echo '#-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)'
@@ -135,4 +145,5 @@
 echo 'PREF='
 echo '#-Q- sxnec	PREF=i.'
+echo '#-Q- sx6nec	PREF=i.'
 echo ''
 # Write the cpp key list with one key by line