Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 164)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 165)
@@ -156,4 +156,20 @@
 /
 !-----------------------------------------------------------------------
+!       namalb   albedo parameters
+!-----------------------------------------------------------------------
+!  cgren    correction of the snow or ice albedo to take into account
+!  albice   albedo of melting ice in the arctic and antarctic
+!  alphd    coefficients for linear interpolation used to compute albedo
+!           between two extremes values (Pyane, 1972)
+!  alphc     "                                         "
+!  alphdi    "                                         "
+&namalb
+   cgren    =      0.06
+   albice   =      0.5
+   alphd    =      0.80
+   alphc    =      0.65
+   alphdi   =      0.72
+/
+!-----------------------------------------------------------------------
 !       namdom   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
Index: trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 164)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 165)
@@ -156,4 +156,20 @@
 /
 !-----------------------------------------------------------------------
+!       namalb   albedo parameters
+!-----------------------------------------------------------------------
+!  cgren    correction of the snow or ice albedo to take into account
+!  albice   albedo of melting ice in the arctic and antarctic
+!  alphd    coefficients for linear interpolation used to compute albedo
+!           between two extremes values (Pyane, 1972)
+!  alphc     "                                         "
+!  alphdi    "                                         "
+&namalb
+   cgren    =      0.06
+   albice   =      0.5
+   alphd    =      0.80
+   alphc    =      0.65
+   alphdi   =      0.72
+/
+!-----------------------------------------------------------------------
 !       namdom   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
Index: trunk/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 164)
+++ trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 165)
@@ -26,4 +26,7 @@
                          ! and in flxblk.F90 in forced
    !! * Module variables
+   INTEGER  ::             &  !: nameos : ocean physical parameters
+      albd_init = 0           !: control flag for initialization
+
    REAL(wp)  ::            &  ! constant values
       zzero   = 0.e0    ,  &
@@ -101,4 +104,7 @@
       !!---------------------------------------------------------------------
       
+      ! initialization 
+      IF( albd_init == 0 )   CALL albedo_init
+
       !-------------------------                                                             
       !  Computation of  zficeth
@@ -224,4 +230,47 @@
 
 #endif
+
+   SUBROUTINE albedo_init
+      !!----------------------------------------------------------------------
+      !!                 ***  ROUTINE albedo_init  ***
+      !!
+      !! ** Purpose :   initializations for the albedo parameters
+      !!
+      !! ** Method  :   Read the namelist namalb
+      !!
+      !! ** Action  :  
+      !!
+      !!
+      !! History :
+      !!   9.0  !  04-11  (C. Talandier)  Original code
+      !!----------------------------------------------------------------------
+      NAMELIST/namalb/ cgren, albice, alphd, alphdi, alphc
+      !!----------------------------------------------------------------------
+      !!  OPA 9.0, LODYC-IPSL (2004)
+      !!----------------------------------------------------------------------
+
+      ! set the initialization flag to 1
+      albd_init = 1           ! indicate that the initialization has been done
+
+      ! Read Namelist namalb : albedo parameters
+      REWIND( numnam )
+      READ  ( numnam, namalb )
+
+      ! Control print
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'albedo_init : albedo '
+         WRITE(numout,*) '~~~~~~~~~~~'
+         WRITE(numout,*) '          Namelist namalb : set albedo parameters'
+         WRITE(numout,*)
+         WRITE(numout,*) '             correction of the snow or ice albedo to take into account cgren = ', cgren
+         WRITE(numout,*) '             albedo of melting ice in the arctic and antarctic        albice = ', albice
+         WRITE(numout,*) '             coefficients for linear                                   alphd = ', alphd
+         WRITE(numout,*) '             interpolation used to compute albedo                     alphdi = ', alphdi
+         WRITE(numout,*) '             between two extremes values (Pyane, 1972)                 alphc = ', alphc
+         WRITE(numout,*)
+      ENDIF
+
+   END SUBROUTINE albedo_init
    !!======================================================================
 END MODULE albedo