Index: /trunk/NEMO/OPA_SRC/mppini_2.h90
===================================================================
--- /trunk/NEMO/OPA_SRC/mppini_2.h90	(revision 168)
+++ /trunk/NEMO/OPA_SRC/mppini_2.h90	(revision 169)
@@ -43,5 +43,5 @@
 
       !! Local variables
-      CHARACTER (len=25) ::   clexp,      &  ! temporary name
+      CHARACTER (len=25) ::               &  ! temporary name
                 clname , clvar               ! filename and cdf variable name for bathy
       LOGICAL ::   llbon                      ! check the existence of bathy files
@@ -50,5 +50,5 @@
       INTEGER ::   &
          ii, ij, ifreq, il1, il2,          &  ! temporary integers
-         iim, ijm, icont, ili, ilj,        &  !    "          "
+         icont, ili, ilj,                  &  !    "          "
          isurf, ijm1, imil,                &  !    "          "
          iino, ijno, iiso, ijso,           &  !    "          " 
@@ -71,6 +71,4 @@
       INTEGER, DIMENSION (1) ::   istep
 
-      INTEGER, DIMENSION(jpidta,jpjdta) ::   &
-         idata                                ! temporary data workspace
       INTEGER, DIMENSION(jpiglo,jpjglo) ::   &
          imask                                ! temporary global workspace
@@ -82,5 +80,5 @@
       REAL(wp) ::   zidom , zjdom,   &        ! temporary scalars
          zdt, zdate0
-  
+
       !!----------------------------------------------------------------------
       !!  OPA 8.5, LODYC-IPSL (2002)
@@ -140,5 +138,5 @@
       ELSE
          IF(lwp) WRITE(numout,cform_err)
-         IF(lwp) WRITE(numout,*)'    mppini_2 : unable to read the file', clname
+         IF(lwp) WRITE(numout,*)'    mppini_2 : unable to read the file ', clname
          nstop = nstop + 1
       ENDIF
@@ -146,5 +144,6 @@
       ! land/sea mask over the global/zoom domain
 
-      WHERE ( zdta(jpizoom:jpiglo+jpizoom-1, jpjzoom:jpjglo+jpjzoom-1) == 0. ) imask = 0
+      imask(:,:)=1
+      WHERE ( zdta(jpizoom:jpiglo+jpizoom-1, jpjzoom:jpjglo+jpjzoom-1) <== 0. ) imask = 0
 
       
@@ -157,5 +156,5 @@
       !  dimensions divided by the number of processors minus the overlap
       !  array.
-      
+
       nreci=2*jpreci
       nrecj=2*jprecj
@@ -166,6 +165,6 @@
       ilci(iresti+1:jpni ,:) = jpi-1
 
-      ilcj(1:irestj      ,:) = jpj
-      ilcj(irestj+1:jpnj ,:) = jpj-1
+      ilcj(:,      1:irestj) = jpj
+      ilcj(:, irestj+1:jpnj) = jpj-1
 
       IF(lwp) WRITE(numout,*)
@@ -192,5 +191,5 @@
       ijmppt(:,:) = 1
       ipproc(:,:) = -1
-      
+
       IF( jpni > 1 )THEN
          DO jj = 1, jpnj
@@ -208,9 +207,9 @@
          END DO
       ENDIF
-      
-      
+
+
       ! 3. Subdomain description in the Regular Case
       ! --------------------------------------------
-      
+
       nperio = 0
       icont = -1
@@ -220,17 +219,17 @@
          ili = ilci(ii,ij)
          ilj = ilcj(ii,ij)
-         
+
          ibondj(ii,ij) = -1
          IF( jarea >  jpni          )   ibondj(ii,ij) = 0
          IF( jarea >  (jpnj-1)*jpni )   ibondj(ii,ij) = 1
          IF( jpnj  == 1             )   ibondj(ii,ij) = 2
-         
+
          ibondi(ii,ij) = 0
          IF( MOD(jarea,jpni) == 1 )   ibondi(ii,ij) = -1
          IF( MOD(jarea,jpni) == 0 )   ibondi(ii,ij) =  1
          IF( jpni            == 1 )   ibondi(ii,ij) =  2
-         
+
          ! 2.4 Subdomain neighbors
-         
+
          iproc = jarea - 1
          ioso(ii,ij) = iproc - jpni
@@ -270,7 +269,7 @@
          IF( ibondj(ii,ij) == -1 .OR. ibondj(ii,ij) == 2 ) ildj(ii,ij) = 1
          IF( ibondj(ii,ij) ==  1 .OR. ibondj(ii,ij) == 2 ) ilej(ii,ij) = ilj
-         
+
          ! warning ii*ij (zone) /= nproc (processors)!
-         
+
          IF( jperio == 1 .OR. jperio == 4 .OR. jperio == 6 ) THEN
             IF( jpni == 1 )THEN
@@ -303,5 +302,5 @@
             ENDIF
          ENDIF
-         ipolj(ii,jj) = 0
+         ipolj(ii,ij) = 0
          IF( jperio == 3 .OR. jperio == 4 ) THEN
             ijm1 = jpni*(jpnj-1)
@@ -318,5 +317,5 @@
             IF( ipolj(ii,ij) == 5) iono(ii,ij) = jpni*jpnj-jarea+ijm1
          ENDIF
-         
+
          isurf = 0
          DO jj = 1, ilj
@@ -332,5 +331,5 @@
          ENDIF
       END DO
-      
+
       ! Control
       IF(icont+1 /= jpnij) THEN
@@ -347,9 +346,9 @@
          STOP 'mpp_init2'
       ENDIF
-      
-      
+
+
       ! 4. Subdomain print
       ! ------------------
-      
+
       IF(lwp) THEN
          ifreq = 4
@@ -381,5 +380,5 @@
       ! 5. neighbour treatment
       ! ----------------------
-      
+
       DO jarea = 1, jpni*jpnj
          iproc = jarea-1
@@ -435,9 +434,9 @@
          ENDIF
       END DO
-      
-      
+
+
       ! 6. Change processor name
       ! ------------------------
-      
+
       nproc = narea-1
       ii = iin(narea)
@@ -527,9 +526,9 @@
 
       ! FETI method
-      
+
       IF( nperio == 1 .AND. nsolv == 3 ) THEN 
-         
+
          ! general CASE : Earth == infinite tube
-         
+
          nbnw = 1
          npnw = narea
@@ -540,17 +539,17 @@
          nbse = 1
          npse = (narea-2)
-         
+
          ! REAL boundary condition
-         
+
          IF( nbondj == -1 .OR. nbondj == 2 ) THEN 
             nbsw = 0
             nbse = 0
          ENDIF
-         
+
          IF( nbondj == -1 .OR. nbondj == 2 ) THEN 
             nbsw = 0
             nbse = 0
          ENDIF
-         
+
          IF( nbondj ==  1 .OR. nbondj == 2 ) THEN 
             nbnw = 0
@@ -558,7 +557,7 @@
          ENDIF
       ENDIF
-      
+
       ! Periodicity : no corner if nbondi = 2 and nperio != 1
-      
+
       IF(lwp) WRITE(numout,*) ' nproc=  ',nproc
       IF(lwp) WRITE(numout,*) ' nowe=   ',nowe