Index: trunk/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/albedo.F90	(revision 247)
@@ -46,5 +46,7 @@
 
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2004)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/blk_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/blk_oce.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/blk_oce.F90	(revision 247)
@@ -7,5 +7,7 @@
    !!   8.5  !  02-11  (G. Madec)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LODYC-IPSL   (2003)
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 #if defined key_flx_bulk_monthly || defined key_flx_bulk_daily
Index: trunk/NEMO/OPA_SRC/SBC/bulk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/bulk.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/bulk.F90	(revision 247)
@@ -28,5 +28,7 @@
    PUBLIC blk        ! called by flx.F90   
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 CONTAINS
Index: trunk/NEMO/OPA_SRC/SBC/flx_bulk_daily.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_bulk_daily.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_bulk_daily.h90	(revision 247)
@@ -21,5 +21,7 @@
       flxdta              ! 2 consecutive set of CLIO/CMAP monthly fluxes
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flx_bulk_monthly.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_bulk_monthly.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_bulk_monthly.h90	(revision 247)
@@ -18,5 +18,7 @@
       flxdta              ! 2 consecutive set of CLIO monthly fluxes
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flx_coupled_ice.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_coupled_ice.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_coupled_ice.h90	(revision 247)
@@ -12,5 +12,7 @@
    INTEGER, DIMENSION(jpi*jpj) :: ndexcf
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flx_coupled_noice.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_coupled_noice.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_coupled_noice.h90	(revision 247)
@@ -5,5 +5,7 @@
    !!                  coupled ocean/atmosphere case without sea-ice
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flx_forced_daily.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_forced_daily.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_forced_daily.h90	(revision 247)
@@ -20,5 +20,7 @@
       flxdta              ! 3 consecutive daily fluxes
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flx_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_oce.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flx_oce.F90	(revision 247)
@@ -7,5 +7,7 @@
    !!   8.5  !  02-11  (C. Ethe)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LODYC-IPSL   (2003)
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
    !! * Modules used
Index: trunk/NEMO/OPA_SRC/SBC/flxblk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxblk.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxblk.F90	(revision 247)
@@ -72,5 +72,7 @@
       b4  =  0.00592797
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flxfwb.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxfwb.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxfwb.F90	(revision 247)
@@ -57,5 +57,9 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-
+   !!----------------------------------------------------------------------
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
 CONTAINS
 
Index: trunk/NEMO/OPA_SRC/SBC/flxmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxmod.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxmod.F90	(revision 247)
@@ -23,5 +23,7 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flxrnf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxrnf.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxrnf.F90	(revision 247)
@@ -45,5 +45,7 @@
       rnfdta               !: monthly runoff data array (kg/m2/s)
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R05.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R05.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R05.h90	(revision 247)
@@ -32,5 +32,7 @@
       rnfdta                !: monthly runoff data array (kg/m2/s)
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R2.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R2.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R2.h90	(revision 247)
@@ -8,5 +8,9 @@
    !!                         ( 20/04/2000 )
    !!----------------------------------------------------------------------
-
+   !!----------------------------------------------------------------------
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
       !!----------------------------------------------------------------------
       !! * Local declarations
@@ -36,7 +40,5 @@
       REAL(wp), DIMENSION(jpi, jpj, 5) ::   &
          zcoefr                  ! ???
-      !!----------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!----------------------------------------------------------------------
+
       ! ====
       ! DATA
Index: trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R4.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R4.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/flxrnf_ORCA_R4.h90	(revision 247)
@@ -8,5 +8,9 @@
    !!                         ( 20/04/2000 )
    !!----------------------------------------------------------------------
-
+   !!----------------------------------------------------------------------
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
       !!----------------------------------------------------------------------
       !! * Local declarations
@@ -35,7 +39,4 @@
       COMMON/zzzrnf/ zrnfm, iirnf, ijrnf, inb
 
-      !!----------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!----------------------------------------------------------------------
       ! ====
       ! DATA
Index: trunk/NEMO/OPA_SRC/SBC/ocesbc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/ocesbc.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/ocesbc.F90	(revision 247)
@@ -53,8 +53,10 @@
 #  include "domzgr_substitute.h90"
 #  include "vectopt_loop_substitute.h90"
-   !!----------------------------------------------------------------------
-   !!   LIM 2.0 , UCL-LODYC-IPSL  (2003)
-   !!----------------------------------------------------------------------
-
+
+   !!----------------------------------------------------------------------
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
 CONTAINS
 
Index: trunk/NEMO/OPA_SRC/SBC/tau_coupled.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/tau_coupled.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/tau_coupled.h90	(revision 247)
@@ -8,5 +8,7 @@
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/tau_coupled_ice.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/tau_coupled_ice.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/tau_coupled_ice.h90	(revision 247)
@@ -8,5 +8,7 @@
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/tau_forced_daily.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/tau_forced_daily.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/tau_forced_daily.h90	(revision 247)
@@ -17,5 +17,7 @@
       cl_tauy = 'tauy.nc'     ! generic name of the j-component monthly NetCDF file
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/tau_forced_monthly.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/tau_forced_monthly.h90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/tau_forced_monthly.h90	(revision 247)
@@ -21,5 +21,7 @@
       tauy_dta        ! at 2 consecutive months in the (i,j) referential
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/OPA_SRC/SBC/taumod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/taumod.F90	(revision 239)
+++ trunk/NEMO/OPA_SRC/SBC/taumod.F90	(revision 247)
@@ -27,5 +27,7 @@
       !                   !  referential (used in output)
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 